﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DumbEnemy : MonoBehaviour, IEnemy
{
    public GameObject Player;

    private new Rigidbody rigidbody;

    public void Start()
    {
        rigidbody = GetComponent<Rigidbody>();
        rigidbody.velocity = new Vector3(0, 0, -3);
    }

    public void FixedUpdate()
    {
        var direction = Player.transform.position - transform.position;
        rigidbody.velocity = (rigidbody.velocity + direction).normalized * 3;
    }
}
